package cn.com.victorysoft.business.sys.param;

import cn.com.victorysoft.business.util.DateUtils;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ApiModel("井号日期分页参数")
@Data
public class WellDateRangePageParam extends PageParam {

    @ApiModelProperty("井号")
    private String wellname;

    @ApiModelProperty("开始日期")
    private Date startDate;

    @ApiModelProperty("结束日期")
    private Date endDate;

    public void setStartDate(Date startDate) {
        this.startDate = DateUtils.getDiagDate(startDate);
    }

    public void setEndDate(Date endDate) {
        this.endDate = DateUtils.getDiagDate(endDate);
    }
}
